LSLOCKS(8)

BEZEICHNUNG
lslocks - lokale Systemsperren auflisten

ÜBERSICHT

lslocks [Optionen]

BESCHREIBUNG

lslocks zeigt Informationen zu allen aktuell gültigen Dateisperren auf einem Linux-System an.

Beachten Sie, dass Lslocks auch OFD (Open File Description) -Sperren aufführt. Diese Sperren sind keinem Prozess zugeordnet (PID ist -1). OFD-Sperren sind den offenen Dateideskriptoren zugeordnet, auf denen sie erlangt wurden. Dieser Sperrtyp ist seit Linux 3.15 verfügbar, siehe fcntl(2) für Details.

OPTIONEN

-b, --bytes
    gibt die Größen in Byte anstelle eines menschenlesbaren Formats aus.

    Standardmäßig werden die Größen in Byte ausgedrückt und die Präfixe sind Potenzen der Form 2^10 (1024). Die Abkürzungen der Symbole werden zur besseren Lesbarkeit abgeschnitten, indem jeweils nur der erste Buchstabe dargestellt wird. Beispiele: »1 KiB« und »1 MiB« werden als »1 K« bzw. »1 M« dargestellt. Die Erwähnung des »iB«-Anteils, der Teil der Abkürzung ist, entfällt absichtlich.

-i, --noinaccessible
    Sperrdateien ignorieren, auf die der aktuelle Benutzer nicht zugreifen kann.

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output Liste
    gibt die anzuzeigenden Spalten an. Mit --help erhalten Sie eine Liste aller unterstützten Spalten.

    Die vorgegebene Liste der Spalten kann erweitert werden, wenn die Liste im Format +Liste angegeben wird (z.B. lsblk -o +UUID).

--output-all
    gibt alle verfügbaren Spalten aus.

-p, --pid PID
    zeigt nur die Sperren an, die vom Prozess mit dieser PID eingerichtet wurden.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-u, --notruncate
    kürzt den Text in Spalten nicht.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt die Versionsnummer an und beendet das Programm.

AUSGABE

BEFEHL
    Befehlsname des Prozesses, welcher die Sperre eingerichtet hat

PID
    Prozesskennung des Prozesses, welcher die Sperre eingerichtet hat oder -1 für OFDLCK

TYP
    Typ der Sperre; kann FLOCK sein (erzeugt mit flock(2)), POSIX (erzeugt mit fcntl(2) und lockf(3)) oder OFDLCK (erzeugt mit fcntl(2)).

GRÖSSE
    Größe der gesperrten Datei

MODUS
    Zugriffsrechte der Sperre (Schreiben, Lesen). Falls der Prozess blockiert ist und auf die Sperre wartet, dann wird dem Modus ein Asterisk (*) angehängt.

M
    gibt an, ob die Sperre obligatorisch ist; 0 bedeutet nein (Sperre ist nur empfohlen), 1 bedeutet ja (siehe fcntl(2))

START
    relativer Byte-Versatz der Sperre

END
    End-Versatz der Sperre

PATH
    Vollständiger Pfad der Sperre. Wenn keiner gefunden wird oder die Zugriffsrechte zum Lesen des Pfades fehlen, wird der Einhängepunkt des Gerätes angezeigt und "..." an den Pfad angehängt. Der Pfad kann gekürzt sein, verwenden Sie --notruncate, um den vollständigen Pfad ausgeben zu lassen.

BLOCKER
    PID des Prozesses, welcher die Sperre blockiert

ANMERKUNGEN

Der Befehl lslocks soll den Befehl lslk(8) ersetzen, der ursprünglich entwickelt wurde von und seit 2001 nicht mehr betreut wurde.

AUTOREN

SIEHE AUCH

flock(1), fcntl(2), lockf(3)

FEHLER MELDEN

Verwenden Sie zum Melden von Fehlern das Fehlererfassungssystem auf

VERFÜGBARKEIT

Der Befehl lslocks ist Teil des Pakets util-linux, welches heruntergeladen werden kann von:

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com>, Dr. Tobias Quathamer <toddy@debian.org> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).